### 1.5 `asin`, `asinf`—arc sine

Synopsis

    #include <math.h>
    double asin(double x);
    float asinf(float x);

Description

`asin` computes the inverse sine (arc sine) of the argument x. Arguments to `asin` must be in the range -1 to 1.

`asinf` is identical to `asin`, other than taking and returning floats.

Returns
`asin` returns values in radians, in the range of -pi/2 to pi/2.

If x is not in the range -1 to 1, `asin` and `asinf` return NaN (not a number), and the global variable `errno` is set to `EDOM`.